Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class ViewNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.jsystems.tools.exception.BaseRuntimeException
                      de.jsystems.framework.common.exception.ViewNotFoundException

All Implemented Interfaces:
  Serializable

public class ViewNotFoundException
extends BaseRuntimeException

Diese Exception wird vom `Controller` in der Methode `getView(String)` ausgeloest, wenn es unter dem uebergebenen Namen keine registrierte View gibt. Auch die beiden abgeleiteten Controller `BusinessFrameController` und `BusinessDialogController` loesen diese Exception aus, wenn eine View in einem Dialog oder Frame angezeigt werden soll und es diese View nicht gibt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseRuntimeException
`LEVEL_WARNING, LOG_OFF, LOG_ON`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`ViewNotFoundException(String message)` Erzeugt eine neue Exception, wobei in dem uebergebenen String der Grund enthalten ist.

Methods inherited from class de.jsystems.tools.exception.BaseRuntimeException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ViewNotFoundException

    public ViewNotFoundException(String message)

  Erzeugt eine neue Exception, wobei in dem uebergebenen String der Grund enthalten ist. Hier wird auch der Name der anzuzeigenden, aber nicht registrierten View angegeben.

Parameters:
  `message` - Eine genauere Fehlerbeschreibung, warum die Exception ausgeloest wurde.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD